import { Container, Element } from '@svgdotjs/svg.js';
import { SmzSvgPin, SmzSvgRoot, SmzSvgAnchorTypes, SmzSvgBaseFeature } from '../../modules/smz-svg/models/smz-svg';
import { SmzSvgBaseFeatureBuilder } from './svg-base-feature';
import { SmzSvgBuilder } from './svg-builder';
import { SmzSvgFeatureBuilder } from './svg-feature';
export declare class SmzSvgRootBuilder extends SmzSvgBaseFeatureBuilder<SmzSvgRootBuilder> {
    _featureBuilder: SmzSvgFeatureBuilder;
    _feature: SmzSvgRoot;
    _svgBuilder: SmzSvgBuilder;
    protected that: this;
    constructor(_featureBuilder: SmzSvgFeatureBuilder, _feature: SmzSvgRoot, _svgBuilder: SmzSvgBuilder);
    overrideContainerStyles(styleClass: string): SmzSvgRootBuilder;
    get feature(): SmzSvgFeatureBuilder;
}
export declare class SmzSvgPinBuilder extends SmzSvgBaseFeatureBuilder<SmzSvgPinBuilder> {
    _featureBuilder: SmzSvgFeatureBuilder;
    _feature: SmzSvgPin;
    _svgBuilder: SmzSvgBuilder;
    protected that: this;
    constructor(_featureBuilder: SmzSvgFeatureBuilder, _feature: SmzSvgPin, _svgBuilder: SmzSvgBuilder);
    setPosition(x: number, y: number): SmzSvgPinBuilder;
    setCoordinates(latitude: number, longitude: number): SmzSvgPinBuilder;
    setDynamicBuild(callback: (rootContainer: Container, feature: SmzSvgBaseFeature) => Element): SmzSvgPinBuilder;
    setAnchor(anchor: SmzSvgAnchorTypes): SmzSvgPinBuilder;
    setColor(color: string): SmzSvgPinBuilder;
}
